com.oracle.truffle.api.dsl.internal

## Class DSLMetadata

- java.lang.Object
- - com.oracle.truffle.api.dsl.internal.DSLMetadata

    public final class DSLMetadata
    extends java.lang.Object

This is NOT public API. Do not use directly. This code may change without notice.

### Field Summary

Fields
`static java.lang.Class<?>[]` `EMPTY_CLASS_ARRAY`
`static DSLMetadata` `NONE`

### Constructor Summary

Constructors
Constructor and Description
`DSLMetadata(java.lang.Class<?> specializationClass, java.lang.Class<?>[] includes, java.lang.Class<?>[] excludes, java.lang.Class<?>[] specializedTypes, int costs, int order)`

### Method Summary

Methods
`java.lang.Class<?>` `getSpecializationClass()`
`java.lang.Class<?>[]` `getSpecializedTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_CLASS_ARRAY

    public static final java.lang.Class<?>[] EMPTY_CLASS_ARRAY

#### NONE

    public static final DSLMetadata NONE

### Constructor Detail

#### DSLMetadata

    public DSLMetadata(java.lang.Class<?> specializationClass,
               java.lang.Class<?>[] includes,
               java.lang.Class<?>[] excludes,
               java.lang.Class<?>[] specializedTypes,
               int costs,
               int order)

### Method Detail

#### getSpecializationClass

    public java.lang.Class<?> getSpecializationClass()

#### getSpecializedTypes

    public java.lang.Class<?>[] getSpecializedTypes()